Intel microcode updates incompatible with some processors and/or Linux kernels

Curt, WE7U curt.we7u at gmail.com
Thu Apr 5 14:25:22 PDT 2018


Just a warning: I'm starting to see a few boxes (Ubuntu in this case) that don't come back from a reboot. Intel is updating microcode for Spectre and Meltdown, but some of the Linux kernels have to be tweaked. If you get a mis-match between the microcode and the kernel, on certain processors, you might end up with the same issue.

The fix for now is to boot into an older kernel, which hopefully has the older microcode matched with it. I'm seeing it on the Ubuntu 4.13.0-37 and -38 kernels. The fix on two machines so far was to boot into the -36 kernel.

   bugs.launchpad.net/ubuntu/+source/intel-microcode/+bug/1759920

Near the end of the bug report a patched kernel was promised in about two weeks. I'd suggest not deleting older kernels for a while so you have them to boot into.

-- 
Curt, WE7U.        http://we7u.wetnet.net
"The world DOES revolve around me:  I picked the coordinate system!"
Coordinate Converter (Android): http://www.sarguydigital.com


More information about the seatcp mailing list